#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DateTime
%define	pnam	Set
Summary:	DateTime::Set - datetime sets and set math
Summary(pl.UTF-8):	DateTime::Set - zbiory czasów i matematyka na zbiorach
Name:		perl-DateTime-Set
Version:	0.3900
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DateTime/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e711661bf8e2d79cb9a5911285dfbf15
URL:		http://search.cpan.org/dist/DateTime-Set/
BuildRequires:	perl-Module-Build
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DateTime >= 0.12
BuildRequires:	perl-DateTime-Locale
BuildRequires:	perl-DateTime-TimeZone
BuildRequires:	perl-Exporter-Tiny
BuildRequires:	perl-Module-Implementation
BuildRequires:	perl-Params-Validate
BuildRequires:	perl-Set-Infinite >= 0.59
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DateTime::Set is a module for datetime sets. It can be used to handle
two different types of sets.

The first is a fixed set of predefined datetime objects. For example,
if we wanted to create a set of datetimes containing the birthdays of
people in our family.

The second type of set that it can handle is one based on the idea of
a recurrence, such as "every Wednesday", or "noon on the 15th day of
every month". This type of set can have fixed starting and ending
datetimes, but neither is required. So our "every Wednesday set" could
be "every Wednesday from the beginning of time until the end of time",
or "every Wednesday after 2003-03-05 until the end of time", or "every
Wednesday between 2003-03-05 and 2004-01-07".

%description -l pl.UTF-8
DateTime::Set to moduł do zbiorów czasów. Może być używany do obsługi
dwóch różnych rodzajów zbiorów.

Pierwszy to stały zbiór predefiniowanych obiektów czasu (datetime). Na
przykład jeśli chcemy stworzyć zbiór czasów zawierający urodziny osób
z naszej rodziny.

Drugi rodzaj zbiorów obsługiwany przez ten moduł jest oparty na idei
rekurencji, takiej jak "każda środa" lub "południe 15 dnia każdego
miesiąca". Ten rodzaj zbioru może mieć stałe czasy początkowe i
końcowe, ale żaden z nich nie jest wymagany. Tak więc "zbiór
wszystkich śród" może być "każdą środą od początku czasu do końca
czasu" lub "każdą środą po 2003-03-05 do końca czasu" lub "każdą środą
między 2003-03-05 a 2004-01-07".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%{__sed} -i -e 's/use Set::Infinite 0.5502/use Set::Infinite 0.55_02/' lib/Set/Infinite/_recurrence.pm

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/DateTime/*.pm
%{perl_vendorlib}/Set/Infinite/_recurrence.pm
%{_mandir}/man3/*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DateTime-Set.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> eceef2d
- up to 0.3900

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> 69895b3
- updated BRs
- rel 2

* Fri Dec 25 2015 Adam Osuchowski <adwol@pld-linux.org> 47d2767
- up to 0.3600

* Wed Jan 25 2012 zbyniu <zbyniu@pld-linux.org> a823015
- up to 0.31

* Fri Aug 21 2009 amateja <amateja@pld-linux.org> 190095b
- updated to 0.28

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 242f256
- updated to 0.27

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> fd26da8
- generic URL
- BR: perl-Module-Build

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a9c1a20
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 05f0c5a
- converted to UTF-8

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> 6ac2756
- adjust version for rpm autodeps (thx ankry); rel 3

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> bd9355c
- rel 2

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> a8c826f
- package missing file

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> f337509
- pl

* Sat Aug 12 2006 migo <migo@pld-linux.org> 708c6e8
- initial revision

